/* InputMakers 
Proyecto Marco de Fotos con Iluminación Led: Mediante el 
potenciómetro regulamos la intensidad de luz de los tres 
leds que ilumninan la fotografía.*/

int led9 = 9, led10 = 10, led11 = 11;    // Variables asociadas a cada led.
int brillo;    // Variables donde guardamos la intensidad de brillo.
int pot = 0;    // Variable donde guardamos la lectura del potenciómetro.
int potpin = A1; // Pin del potenciómetro conectado a la entrada analógica A1.

void setup() {
  pinMode (led9, OUTPUT);    // Definimos los pines que van conectados a los leds como salidas.
  pinMode (led10, OUTPUT);
  pinMode (led11, OUTPUT);

}

void loop() {
  
  pot = analogRead(potpin);    // Lectura del valor del potenciómetro con analogRead.
  
/* A continuación escalamos los valores del potenciómetro (que van de 0 a 1023 para la entrada analógica) al led (que van de 0 a 255 para la salida PWM).*/
  brillo = map (pot, 0, 1023, 0, 255); // Escalar valores del potenciómetro (entrada analógica) al led (salida digital).

/* Por último asignamos el valor de la variable de brillo a cada led con analogWrite.*/ 
  analogWrite (led9, brillo);
  analogWrite (led10, brillo);
  analogWrite (led11, brillo);
   
}
